 ROOM ARRANGER - RELEASE NOTES
===============================

version 9.5.6 (2020/2/22)
-------------------------
 - Added: Copy and paste wall or floor opening to another floor
 - Added: 2 new types of window
 - Added: Picking screen color in color picker
 - Fixed: Selecting rooms inside another room
 - Fixed: 3D scene when running program from network folder
 - Fixed: Alignment commands don't move locked objects
 - Fixed: Checking for new program version and object libraries

version 9.5.5 (2018/9/7)
------------------------
 - Improved: Basic objects support changing line thickness
 - Improved: Special editors and annot. drawn out of project bounds too
 - Fixed: Background floor plan image calibration on touch displays
 - Fixed: Minor print dialog related bugs

version 9.5.4 (2018/4/12)
-------------------------
 - Fixed: Possible crash when printing project with pictures
 - Fixed: Project dimensions after merging two projects
 - Fixed: Several possible crash bugs

version 9.5.3 (2018/2/26)
-------------------------
 - Fixed: Crash when moving object forward/backward
 - Added: Squat toilet object

version 9.5.2 (2018/2/4)
------------------------
 - Improved: Optimized high-res texture usage (store 1024x1024 copies)
 - Improved: Drawing textured surfaces in 2D is up to 50% faster
 - Fixed: Ungrouping passwords on macOS, Linux and iOS
 - Fixed: Setting exterior walls color on new projects

version 9.5.1 (2018/1/25)
-------------------------
 - Fixed: Dimension line length for walls protruding into the room
 - Fixed: Exterior walls color not lost when floor is simple rectangle

version 9.5 (2017/11/20)
------------------------
 - Improved: Updated 3D viewer, sun shadows work on older Intel GPUs
 - Improved: 3D viewer uses less RAM and is faster
 - Fixed: Texture mapping on several objects
 - Fixed: Non-tiling texture mapping on walls
 - Fixed: Sorting by dimensions, position and price in Object Listing
 - Fixed: Default colors for TV, LCD and All-in-one computer
 - Fixed: Mouse cursor shape in Viewpoints, Terrain, Polygon editor

version 9.4.1 (2017/10/8)
-----------------------
 - Fixed: Crash when resizing floor opening

version 9.4 (2017/9/27)
-----------------------
 - Improved: 3D view uses up to 50% less RAM and is slightly faster
 - Improved: Several 3D models improved
 - Improved: Measurement lines rotates and resizes at the same time
 - Improved: Touch movement in Annotation and viewpoints editors

version 9.3 (2017/7/20)
-----------------------
 - Added: You can write comments for every object
 - Added: Description tab inside object properties window
 - Added: Line and polyline can measure length
 - Fixed: Format Painter copies line ends style for meas.lines
 - Fixed: Do not walk on top side of ceiling

version 9.2 (2017/4/6)
----------------------
 - Added: Line thickness for line and polyline objects
 - Added: Slope value in Angle object caption (e.g. 20% or 1 : 5)
 - Added: Basic objects can be used to measure area
 - Added: List of available object caption variables in Obj. Properties
 - Improved: A0 and A1 paper size for PDF output
 - Improved: Locked objects not deleted while multi-selection
 - Fixed: Rotated polyline editing
 - Fixed: Angle and Compass drawn with line color
 - Fixed: Curvature of flues, pipes and curved triangles
 - Fixed: Printing annotations

version 9.1.2 (2017/2/13)
-------------------------
 - Improved: Click-selection does not change when currently selected object
             still under cursor
 - Fixed: VRML prototype for group in group
 - Fixed: Room statistics numbers precision

version 9.1.1 (2016/11/22)
--------------------------
 - Improved: Setting external VRML prototypes much easier
 - Improved: Polyline can have curved segments

version 9.1 (2016/10/21)
------------------------
 - Added: New type of basic object - Table (data)
 - Improved: More realistic print preview
 - Improved: Object thumbnails in Browse User Library window
 - Added: Editing object libraries
 - Fixed: Saving groups within groups in User Library
 - Fixed: Minor bugfixes and improvements

version 9.0.3 (2016/10/4)
-------------------------
 - Fixed: Possible crash when scaling grouped object

version 9.0.2 (2016/9/14)
-------------------------
 - Improved: Right-to-left window layout for RTL languages
 - Improved: Unit names localized

version 9.0.1 (2016/9/7)
------------------------
 - Fixed: Ceiling will output only in rooms with all full-height walls
 - Fixed: Zero size moldings do not break 3D view
 - Fixed: Disable snapping to walls when moving object with more fingers
 - Fixed: Mouse clicking in 3D view at DPI >= 150% (and Retina Mac)
 - Fixed: Initial 3D viewport size at DPI >= 150% (and Retina Mac)
 - Fixed: Printing crosshatch fill style
 - Fixed: Textures in PDF output on Windows 10 and Mac (other OSs buggy)
 - Fixed: Object libraries display in right-to-left languages
 - Improved: Ask for number of decimal places when inserting room areas

version 9 (2016/8/31)
---------------------
 - Added: Annotations
 - Added: Copy object properties (like Format Painter in Office)
 - Added: Snap objects to near walls while moving them with mouse
 - Added: Swinging doors, corner kitchen sink
 - Added: Doorframe has editable thickness and color
 - Improved: Window frames not scaled in 3D
 - Added: 9 new types of window, 4 new types of door (Appearance)
 - Added: Picture can have frame with editable thickness and color
 - Added: Ceiling color
 - Added: Baseboards and crown moldings
 - Added: New type of basic object - Polyline
 - Added: New car model
 - Added: Align objects relatively to the room they are in, or entire drawing
 - Added: Groups within groups, option to forbid ungrouping (with password)
 - Improved: Wall Editor shows walls of the floor below as dotted lines
 - Improved: All icons should look nicer at higher DPI
 - Improved: Better caching of generated tile textures
 - Improved: Wall contours switched on by default
 - Improved: Overall better high DPI support on Windows
 - Fixed: Cutting floor openings sharing edges with walls

version 8.4.1 (2016/4/18)
-------------------------
 - Fixed: Dialog windows initial positions

version 8.4 (2016/4/14)
-----------------------
 - Added: Enter number of steps of Stairs object and Banister for stairs
 - Improved: Tiling texture for Pyramid, Trilat. prisms objects (roofs)
 - Improved: Multi-selection in Terrain editor
 - Improved: Two program instances on OS X (Project - New Window)
 - Fixed: Unicode support for filenames on Linux

version 8.3.1 (2015/12/1)
-------------------------
 - Fixed: Keeping different 3D rotation when setting specular reflections

version 8.3 (2015/11/18)
------------------------
 - Added: Specular color and shininess in Advanced object properties (3D)
 - Added: Specular reflections defined on most standard objects
 - Added: More color swatches
 - Added: WebP support for textures
 - Improved: Reduced number of selection points for thin objects

version 8.2 (2015/10/31)
------------------------
 - Improved: Touch interface for Windows tablets
 - Fixed: Minor bugfixes and improvements

version 8.1 (2015/10/14)
------------------------
 - Added: Angle shown when drawing wall
 - Added: Angle switchable between [0-360) or [0-180]
 - Added: Window objects with Left / Right opening indication
 - Added: Left/Right variants of same object morph into its counterpart
          when rotated 90 degrees (e.g. Window L -> Window R)
 - Added: Exterior walls can have different colors
 - Added: RAL, British Standard, FED-STD-595 and Pantone color swatches
 - Added: NCS color approximation
 - Added: Set object's z-pos to terrain level (if defined)
 - Added: Any object can be represented as textured Billboard in 3D
 - Added: Rotate skybox images
 - Added: Sample projects in menu Project, not persist in Documents folder
 - Improved: Projects start with default skybox
 - Improved: Inserted area labels updated when room size or name changed
 - Improved: Walls support 45 and 135 deg rotated tiled texture
 - Improved: Non-orthogonal walls can be moved freely
 - Improved: Snapping to other control point coords when drawing new wall
 - Improved: Other improvements in Wall editor
 - Improved: 3D rotated objects drawn correctly in Side editor
 - Improved: Triangle object supports texture tiling
 - Improved: Start in Touch mode only when Tablet mode active on Windows 10
 - Improved: High DPI display support (scaled images on buttons)
 - Fixed: Ability to rotate Logo object
 - Fixed: Viewpoints with auto-z put on terrain level
 - Fixed: Minor bugfixes and improvements

version 8.0.2 (2015/7/31)
-------------------------
 - Added: Signed installer on OS X

version 8.0 (2015/4/7)
-----------------------
 - Added: Terrain editor
 - Added: Sun shadow
 - Added: Browse project files while seeing thumbnails
 - Added: Black & White drawing (may be helpful for real estate agents)
 - Added: Zoom to selected objects (Ctrl + '+')
 - Added: Capture video in 3D viewer is back, w/ selectable codec
 - Added: New objects - Flower, Rounded Block, Billboard, Wardrobe
 - Added: Select field of view for 3D
 - Added: Define Skybox for 3D
 - Added: Alternative way to set object 3D rotation
 - Added: Set custom wall alignment (thickness on left and right)
 - Added: Touch mode for Windows touch screens
 - Improved: Additional object or texture libraries management
 - Improved: Dimension lines for doors and windows start at wall edge
 - Improved: Layers on/off enabled in side view
 - Improved: High DPI display support

version 7.6 (2015/2/1)
----------------------
 - Fixed: Possible crash in 3D Viewer
 - Fixed: Frozen mouse wheel / key input in 3D Viewer after Alt+Tab
 - Added: OpenGL info in About box

version 7.5.9 (2015/1/7)
------------------------
 - Fixed: Do not offer 3D thumbnails for 2D-only library objects
 - Fixed: Possible crash when texture image file not found or corrupted

version 7.5.8 (2014/11/30)
--------------------------
 - Improved: Increased drawing quality of images and textures in 2D
 - Improved: Export as image at 100% zoom option is back
 - Fixed: Several drawing-related bug fixes

version 7.5.7 (2014/11/20)
--------------------------
 - Fixed: Rotated multi-line labels
 - Fixed: Possible crash while printing

version 7.5.6 (2014/10/26)
-------------------------
 - Fixed: Shift+Mouse wheel to scroll
 - Fixed: Position of color picker window

version 7.5.5 (2014/9/16)
-------------------------
 - Fixed: Print in scale
 - Fixed: Printing of dashed lines

version 7.5.4 (2014/8/14)
-------------------------
 - Fixed: Export as webpage with 3D
 - Fixed: Esc in special editors ends current action, not entire editor

version 7.5.3 (2014/8/2)
------------------------
 - Fixed: Label font size for projects in meters
 - Fixed: Group toolbar button should not appear in special editors

version 7.5.2 (2014/7/27)
-------------------------
 - Fixed: Displaying Price value in the Object listing

version 7.5.1 (2014/7/20)
-------------------------
 - Fixed: Some DLLs missing on some Windows XP computers
 - Improved: Nicer UI control for multiple choices

version 7.5 (2014/7/18)
-----------------------
 - Added: Subpages in the object library
 - Added: Dedicated Symbols library page
 - Added: Rounded walls
 - Added: Wall can be invisible (will only divide floor surfaces)
 - Added: Add your comments to project (TO DO list, ideas, etc.)
 - Added: Print to PDF
 - Improved: More flexibility when docking tool windows (layers, comments...)
 - Fixed: Mirroring walls

version 7.4.3 (2014/5/14)
-------------------------
 - Added: Pinch-to-zoom gesture on OS X
 - Improved: Objects orientation after mirroring the project
 - Improved: Selection markers a bit larger

version 7.4.2 (2014/4/25)
-------------------------
 - Added: 4 new types of window (Appearance)
 - Fixed: Opening old project files with textures saved with absolute path
 - Fixed: Bug fixes and small improvements

version 7.4.1 (2014/2/24)
-------------------------
 - Improved: Rotate doors by dragging green corner with mouse
 - Fixed: Bug fixes

version 7.4 (2014/2/14)
-----------------------
 - Added: Object rotation done by dragging green corner
 - Added: Control point properties dialog window in Polygon editor
 - Improved: Setting up 3D viewpoints done in a special editor mode
 - Improved: Switching to Explore mode in 3D moves to Front top view
 - Improved: Line color shown in Object listing when fill is transparent
 - Fixed: Grouped labels visible even if group caption set invisible
 - Fixed: Bug fixes

version 7.3.1 (2013/11/26)
--------------------------
 - Fixed: Grouped doors in 3D
 - Fixed: 3D viewer crash on old graphics cards with OpenGL 1.4

version 7.3 (2013/11/17)
------------------------
 - Improved: Objects with 3D rotation shown correctly in Side editor
 - Improved: Soft Shadows + Anti-Aliasing enabled for Intel GPUs in the 3D viewer
 - Improved: Game-like navigation in the 3D viewer (WASD + mouse)
 - Improved: 3D viewer consumes less memory
 - Improved: Doors can be grouped (interactive furniture)
 - Improved: Detect file changes on disk and offer its reload (e.g. in Dropbox)
 - Fixed: Import objects invoked from Browse User Library window
 - Fixed: Possible bug when saving very large projects

version 7.2.7 (2013/8/14)
-------------------------
 - Fixed: Crash when adding a dimension line to a wall
 - Fixed: Bug when generating 3D

version 7.2.6 (2013/6/17)
-------------------------
 - Fixed: Bug fix in floor tile drawing, when tile size below 5 mm

version 7.2.5 (2013/5/29)
-------------------------
 - Fixed: Two possible crash-bugs

version 7.2.4 (2013/4/20)
-------------------------
 - Improved: Registration details stored in a more robust way

version 7.2.3 (2013/4/16)
-------------------------
 - Fixed: Caption for imported objects will not include the file path

version 7.2.2 (2013/3/11)
-------------------------
 - Fixed: Wall thickness in new projects when having default unit other than cm

version 7.2.1 (2013/2/21)
-------------------------
 - Fixed: Storing font size, when using comma as the decimal separator

version 7.2 (2013/1/29)
-----------------------
 - Improved: Left panel design
 - Improved: Texture window
 - Added: "Edit" section in Left panel w/ selected object, floor color (texture)
 - Added: Tile brick design
 - Added: Tiles: switch tile joints on/off, select their color
 - Added: Tiles: Checkered tile design supports two textures
 - Added: Certain tile textures may be modified with custom colors (stencils)
 - Added: Hold Shift to resize objects while keeping the aspect ratio
 - Improved: Toolbar color on Windows 8
 - Improved: Export to Image supports JPEG image format
 - Fixed: Bug fixes

version 7.1.2 (2012/10/31)
--------------------------
 - Fixed: Save project was crashing on some computers after a few months
 - Fixed: 3D Viewer shows strange geometry on some systems, restoring version 7.1.0

version 7.1.1 (2012/10/3)
-------------------------
 - Fixed: Bug fixes in Layers window and 3D viewer

version 7.1 (2012/9/13)
-----------------------
 - Improved: Window size not changed when snapped to left/right screen border
          Enables to have 2D editor AeroSnapped to left, 3D view to right
 - Added: Tiling texture for rectangle and tilted surface objects
 - Improved: Unified F5 shortcut to open/refresh 3D view
 - Fixed: Edit from side: Selecting print area and Page layout disabled
 - Fixed: Mouse cursor when selecting print area
 - Fixed: Align objects left/right with respect to project

version 7.0.5 (2012/9/1)
------------------------
 - Fixed: Texture mapping on tilted surface object
 - Fixed: Hiding a layer refreshes the object listing window
 - Fixed: Handling of textures when new project was not saved yet

version 7.0.4 (2012/8/15)
-------------------------
 - Added: Set ground z-pos, enabling cellars and swimming pools
 - Added: Sound clips in OGG file format
 - Improved: Select texture for grouped objects
 - Fixed: Saving to files with non-english characters in 3D view
 - Fixed: Printing of the grid
 - Fixed: Ctrl+A skips all door types, windows and wall openings

version 7.0.3 (2012/7/9)
------------------------
 - Added: Texture on the ground of the 3D world
 - Fixed: No flicker when refreshing the 3D Viewer
 - Fixed: Picking viewpoint coordinates in Setup window
 - Fixed: Texture tiling on grouped polygon

version 7.0.2 (2012/6/26)
-------------------------
 - Fixed: Saving of single-room projects made in wizard
 - Fixed: 3D scenes with objects smaller then 1 mm
 - Fixed: Printing of rotated captions
 - Fixed: 3D rendering improvements on Intel graphics
 - Improved: Less flickering when refreshing the 3D Viewer
 - Fixed: Wireframe effect on ATI Radeon 6xxx

version 7.0.1 (2012/6/21)
-------------------------
 - Fixed: Use only one 3D viewer window (failed on some computers)
 - Fixed: Line artifacts in shadows in 3D on Intel graphics
 - Improved: F5 shortcut refreshes 3D view

version 7 (2012/6/17)
---------------------
 - Added: Tiling textures on floors and walls
 - Added: Built-in 3D Viewer
 - Added: Texture library, customizable with built-in textures
 - Added: New file format that includes also all textures used in the project
          in one file. Backward compatibility (versions 1 - 6) kept.
 - Added: 3D Viewer has instant 3D refresh which keeps camera position
 - Added: Viewpoints can be added directly from 3D Viewer
 - Added: Viewpoints drawn onto the project, it's possible to edit them there
 - Added: 3D Viewer can save viewpoint walkthrough to movie file
 - Added: 3D Viewer supports 3Dconnextion devices (3D mice)
 - Added: New object - Mirror, showing the real reflection in 3D Viewer
 - Added: New object - QR Code
 - Added: Sound clips can be assigned to object, played in 3D
 - Added: Polygon object supports 3D rotation
 - Added: Tiling texture available on polygon object
 - Improved: Reliable colors of textured objects in 3D
 - Improved: TV, LCD and All-in-one computer can display any custom image
 - Improved: Doorframe available for wall openings
 - Improved: Sliding door and pocket door support selection of handle types
 - Improved: Garage door opening into inside
 - Improved: Drawing of windows in 2D
 - Improved: Objects w/out 3D thumbnail show front side view in Library window
 - Improved: Grid has selectable line style and is drawn below floor texture
 - Improved: Objects with Link attribute are clickable in 3D
 - Improved: Export grouped object listing into clipboard
 - Improved: High DPI monitor support in the entire application

version 6.0.3 (2012/4/3)
------------------------
 - Improved: 3D viewpoint tilting is now an option
 - Fixed: Lock-size state preserved for objects added to User library
 - Fixed: Several minor bug fixes

version 6.0.2 (2012/3/2)
------------------------
 - Fixed: Storing object textures in User library
 - Fixed: Collect for Output skipped textures in Grouped objects
 - Added: Loaded image with floor plan is available in basic view too
 - Improved: Walls are transparent when showing image with floor plan

version 6.0.1 (2012/2/26)
-------------------------
 - Added: Triangle and Ellipse objects support 3D rotation
 - Improved: 3D rotation range not limited (was 0-90 deg)
 - Improved: 3D rotation visualization
 - Fixed: Possible crash when entering wall editor
 - Fixed: Mouse cursor over triangular objects

version 6 (2012/2/21)
---------------------
 - Added: Display inches as feet+inches, e.g. 54.5" -> 4' 6 1/2"
 - Added: Select number of decimal places/inches fraction for values
 - Improved: New color picker includes textures and hatch styles
 - Added: Option to print only a smaller area from the project
 - Added: New type of basic object - Angle - for measures
 - Added: New object - Carpet, with default texture applied to any color
 - Added: Carpet and Picture on the Floor show texture in 2D as well
 - Added: Hatch style for each wall, default style in Options
 - Added: 4 new types of door (Appearance)
 - Added: Doorframes and selection of door handle models
 - Improved: Drawing of doors and wall openings, more precise
 - Improved: Doors and windows copied when adding new floor
 - Added: Layer opacity setting
 - Added: Dimension Object command in object's context menu
 - Added: You can lock object size against accidental resizing
 - Added: Rotating measuremnt captions is now an option
 - Added: Export project file including all textures into one folder
 - Improved: UI changes
 - Improved: Increased field of view in 3D to 103° (from 90°)
 - Improved: View is rotated 10° down in 3D
 - Improved: Logo image supports transparency (PNG, GIF)
 - Improved: Columns resizing in Part Listing
 - Improved: Slightly changed measurement line drawing
 - Fixed: Background images for wall editing loaded in full resolution
 - Fixed: Several minor bugfixes and improvements
 - Note: Support for Windows 95/98/Me discontinued

version 5.6.9 (2011/3/7)
------------------------
 - Improved: Locations of Sample projects and User library. They are
          stored in Documents\Room Arranger, not in Program Files
 - Improved: Installer and Uninstaller handle Windows user rights better
 - Fixed: Drawing of floor openings in wall editor

version 5.6.8 (2011/2/19)
-------------------------
 - Improved: Object listing window dockable
 - Improved: Home screen/library window is resizable
 - Added: Floor navigation on Home screen
 - Added: 3 new types of Compass object (Appearance)
 - Improved: Slightly modified Window drawing, new default colors
 - Improved: Object listing starts with Size column only as default
 - Fixed: Main window background redrawing
 - Fixed: Curved polygons could have wrong curvature in 3D
 - Fixed: Send mail fixed to work with more email clients

version 5.6.7 (2011/1/18)
-------------------------
 - Fixed: Startup error message on Windows XP

version 5.6.6 (2011/1/16)
-------------------------
 - Added: "Rooms in the Project" window and Numerical wall
          editor are resizable
 - Added: Save wall image in Rooms in the Project to file
 - Added: Save screenshot of embedded 3D view
 - Added: Reorder objects in User library by dragging
 - Improved: 3D viewpoints always animated when possible
 - Improved: Drawer object can have front color assigned
 - Added: Rotation available in object listing export
 - Fixed: Support for running on secondary monitor
 - Fixed: Support for large fonts in Windows (120 dpi)

version 5.6.5 (2010/8/13)
-------------------------
 - Fixed: Possible crash in wall editor

version 5.6.4 (2010/5/30)
-------------------------
 - Fixed: Doors not drawn on walls with 0 thickness
 - Fixed: Several issues with lines
 - Fixed: Minor bugfixes

version 5.6.3 (2010/4/14)
-------------------------
 - Improved: Toolbar icons
 - Fixed: Not drawing start page when invisible at startup
 - Fixed: Text size in Page Layout editor
 - Fixed: Minor bugfixes

version 5.6.2 (2010/3/28)
-------------------------
 - Improved: Several objects redesigned in 2D and 3D to be more realistic
 - Improved: color-correcttion of 3D lighting on objects with texture
 - Improved: Added floor texture to sample projects
 - Fixed: Floor texture saved as relative path

version 5.6.1 (2010/3/12)
-------------------------
 - Improved: 3D lighting visible on objects with texture
 - Improved: Slightly adjusted 3D lighting
 - Improved: Semitransparent objects are semitransparent in 2D as well;
          (requires antialiasing switched on in Options)
 - Fixed: Compatibility with BS Contact 7.2
 - Fixed: Captions are not lost after group & ungroup
 - Added: Polygonal floor opening
 - Fixed: Calculating geometry of floor openings
 - Fixed: Several minor bugfixes and improvements

version 5.6 (2010/1/5)
----------------------
 - Added: Start Page (F2) with shortcuts to libraries and most common tasks
 - Added: Start Page enables search (F3) for objects within libraries
 - Improved: User interface colors
 - Added: Load background image with floor plan and draw walls on top of it
 - Added: Select print font for object captions
 - Added: Support for 3D mice by 3Dconnexion (Space Pilot, ...) in 2D mode
 - Added: Add dimension line to a single wall using R-Click command
 - Added: Dimension lines in side editing (but deleted upon exit)
 - Added: 2 new objects in Additional 3D Shapes library
 - Added: Import and export User library objects in the main window

version 5.5.4 (2009/9/4)
------------------------
 - Added: Switching between floors directly in wall editor
 - Added: Calculate size and areas of all walls - as Export statistics
          at Rooms in the Project window (F7)
 - Added: Wall sizes shown also as Hints under cursor there
 - Fixed: Disappearing old dimension lines when adding doors, windows
 - Fixed: Precise moving with walls in projects with decimal numbers disabled
 - Fixed: Loading of certain PNG types into Logo object
 - Fixed: Minor bugfixes

version 5.5.3 (2009/7/13)
-------------------------
 - Fixed: Crash when moving walls - due to bug in 5.5.2

version 5.5.2 (2009/7/12)
-------------------------
 - Added: You can add and edit your dimension lines in wall editor
 - Added: Dim.lines are shown before starting new wall in wall editor
 - Improved: Better alignment of automatic dimension lines in wall editor
 - Improved: Limited automatic main window resizing in wall editor
 - Fixed: Crash when 16 bit colors were set in Windows display setting
 - Added: Started a Twitter feed

version 5.5.1 (2009/6/19)
-------------------------
 - Fixed: Editing Wall properties could destroy all neighboring walls
 - Fixed: Numerical wall editor
 - Fixed: Disappearing doors or windows after ending Side editor
 - Improved: Version numbering more clear (new style: 5.5.1, old: 5.51)

version 5.5 (2009/3/29)
-----------------------
 - Improved: 3D viewing possible in own window, not in web browser
 - Added: New type of basic object - Logo - image in 2D drawing
 - Added: New type of basic object - Polygon - draw your own 2D shape
 - Added: Define custom page header or footer when printing (page layout)
 - Added: Label can contain variables: %DATE%, %TIME%, %USER%
 - Added: Select sky color for 3D
 - Added: Editable floor thickness in multi-floor projects
 - Added: 12 new objects in Additional 3D Shapes library
 - Added: Objects can be visible in Wall editor
 - Added: Pictures visible while editing from side
 - Improved: Alignment and Layers windows can be docked in main window
 - Improved: Dimension lines aligned to inner wall dimension
 - Improved: Labels and lines can be added to groups
 - Improved: Better detail in 3D for several round objects
 - Added: Function for direct export of the whole User library
 - Improved: Export multiple objects from User library at once
 - Improved: Window position and zoom is restored after editing from side
 - Improved: Horizontal scrolling with tilting mouse wheel
 - Improved: Moving with objects snapped to walls
 - Fixed: Some controls were misplaced in 120 dpi Windows resolution
 - Fixed: Repainting of some controls in Vista
 - Fixed: Program sometimes stopped responding when checking for updates
 - Improved: Multilingual installer

version 5.04 (2008/3/31)
------------------------
 - Fixed: Selecting color for a single wall in rectangular project
 - Fixed: Elliptical floor opening
 - Improved: Measurement lines stay visible while editing walls

version 5.03 (2008/2/28)
------------------------
 - Fixed: Possible crash at the startup (w/o additional languages)
 - Improved: Ctrl+click adds object to selection
 - Improved: Alt+arrows aligns selected objects
 - Fixed: Proper object dimensions shown when editing from side
 - Fixed: Many other minor improvements

version 5.02 (2007/7/14)
------------------------
 - Improved: Slightly adjusted 3D illumination
 - Fixed: File extension when sending project as e-mail
 - Fixed: Import objects to user library from faked files
 - Fixed: Bug in Wall Editor (floor openings)
 - Fixed: Serial number verification

version 5.01 (2007/7/5)
-----------------------
 - Fixed: Two issues in Wall Editor
 - Improved: Images for disabled toolbar buttons

version 5 (2007/4/3)
--------------------
 - Added: Multi-floor projects
 - Added: Full Unicode support
 - Added: Better color reproduction in 3D
 - Added: Select color for each wall
 - Added: Sort object listing by any column
 - Added: Snap objects horizontally/vertically (align&distr menu)
 - Added: Line ends for measurement lines
 - Added: Automatic dimension lines when moving doors and windows
 - Added: 9 new door and window shapes (appearance)
 - Added: Select exterior wall color and ground color
 - Added: Scrolling the project by clicking the mouse wheel
 - Added: Ctrl+Drag selects objects fully inside sel. rectangle
 - Added: Modify User library items directly from the main window
 - Added: Select 3D preview image for user library items
 - Added: Limited support for imported VRML models
 - Added: Import Object listing from TXT file
 - Added: Integrated calculator with feet/inches input
 - Added: Automatic project backuping
 - Added: Automatic checks for new program version
 - Added: New program icon, splash screen and About window
 - Added: List of keyboard shortcuts in the help file
 - Improved: Vista compatible
 - Fixed: Dozens of minor bugfixes and improvements

version 4.67 (2006/11/1)
------------------------
 - Fixed: Compatibility with Cortona VRML Client version 5

version 4.65 (2006/7/31)
------------------------
 - Added: Object duplication available in Side Editor
 - Added: Column separator in Part listing export
 - Improved: Faster object properties in case of large user library
 - Improved: Close button in Wall or Side Editor closes the editor
     rather then the whole application
 - Fixed: Removing of user library pages

version 4.64 (2006/6/27)
------------------------
 - Improved: Handling of textures in user library
 - Improved: Minor improvements

version 4.63 (2006/6/5)
-----------------------
 - Added: Custom colors in color selection window contain 8 most
     recently and 8 most frequently used colors
 - Added: Printing available in Side Editor
 - Fixed: Proper undo after editing walls
 - Fixed: No problems with '#' in captions and labels

version 4.62 (2006/5/24)
------------------------
 - Fixed: Font size of captions with room areas

version 4.61 (2006/5/9)
-----------------------
 - Fixed: Several bugs in Object Listing - Find

version 4.6 (2006/4/18)
-----------------------
 - Added: Kitchen cabinets
 - Added: Front color for kitchen cabinets
 - Improved: Rectangular complex objects can be resized freely
 - Added: New basic object - Line
 - Fixed: Opening door in CosmoPlayer and BS Contact VRML viewers
 - Fixed: Several problems in Side Editor

version 4.5 (2006/3/8)
----------------------
 - Improved: Changed file extension from MST & MSK to RAP & RAL.
     Files were being accidentaly blocked by some antivirus programs;
     Catalog.msk renamed to UserLib.ral
 - Added: Library window is docked
 - Added: Side Editor - you can finally design a kitchen easily
 - Added: Folding door, sliding door, double door (animated)
 - Added: Button "Find" in the object listing window
 - Added: New object property - Identification (e.g. catalogue number)
 - Added: Antialiased 2D drawing (requires gdiplus.dll installed)
 - Added: Layers not visible in 2D can be drawn in 3D (layers window)
 - Added: Better object color control in 3D
 - Added: Optional column headings in the object listing export
 - Added: Possibility to share object libraries
 - Fixed: Price is included in the object listing export
 - Improved: Main toolbar slightly redesigned
 - Improved: Faster program startup
 - Improved: Font size on text captions for projects in ft, mm, etc
 - Fixed: Minor bugfixes and improvements

version 4.01 (2005/12/19)
-------------------------
 - Fixed: Program crashed when rotating labels
 - Fixed: Proper position of door in 3D
 - Improved: Optimized lighting in larger projects

version 4 (2005/10/14)
----------------------
 - Added: Drag & drop Wall editor
 - Added: Objects can have image texture
 - Added: Objects can be rotated with mouse
 - Added: Doors and Windows have separate library page
 - Added: Doors can be closed as an initial state in 3D
 - Added: Automatically add Dimension Lines to all walls
 - Added: Insert Labels with all room names and areas to the project
 - Added: 2D view of room walls in "Rooms in the Project" window
 - Added: Labels can be rotated
 - Added: New type of basic object - Compass
 - Added: All basic and additional 3D shapes also as transparent
 - Added: Support for additional third-party object libraries
 - Added: New object property - Price
 - Added: Price column for object listing
 - Added: Selecting which columns to be shown in the object listing
 - Added: Objects can be grouped by type in the object listing
 - Added: Limited support for object 3D rotation (rectangle, circle)
 - Improved: Project area stays in the center of the program window when zooming
 - Improved: Status bar with hints
 - Fixed: Proper dimensions of objects inserted from user library
 - Fixed: No space above windows in 3D
 - Improved: Hatched main window background
 - Improved: Picking of Local coordinates snappes to walls
 - Fixed: Dozens of minor bugfixes and improvements

version 3.91 update (2005/5/30)
-------------------------------
 - Improved: New, smaller, modern setup program, checks for installed VRML viewer

version 3.91 (2005/1/14)
------------------------
 - Fixed: Editing walls in rooms created by Wizard

version 3.9 (2004/12/16)
------------------------
 - Added: Wizard for creating new projects
 - Added: Simple wall editor for new single room projects with predefined shapes
    (to be additionally improved in version 4.0)
 - Added: Export as webpage with 2D image and 3D scene
 - Added: Select appearance of doors and windows (object property)
 - Added: 3D preview of library objects
 - Added: Send project as email attachment
 - Added: Command for moving all labels to separate layer (keep on top)
 - Added: Flip / Mirror project (transformations)
 - Improved: Layer window saves its position, added keyboard shortcut
 - Added: Option to auto-open last edited project
 - Fixed: Import of user objects to selected library page
 - Fixed: Minor bugfixes and improvements

version 3.83 (2004/9/29)
------------------------
 - Fixed: Printing (again)
 - Fixed: Drawing of wall corners (with angle close to 180 deg)
 - Fixed: Adding objects to User library pages

version 3.82 (2004/8/23)
------------------------
 - Fixed: Printing failed on some computers

version 3.81 (2004/7/19)
------------------------
 - Improved: Grid labels exported and have separate column in Object listing
 - Fixed: Printing with landscape paper orientation
 - Fixed: Viewpoint names can contain non-english characters
 - Fixed: Added limitation of max zoom factor on Windows 95/98/Me

version 3.8 (2004/6/29)
-----------------------
 - Added: Support for walls in attic rooms (slanted wall)
 - Added: Import and Export of objects in User library
 - Added: User library can be divided into pages
 - Added: List of local coordinates
 - Added: List of viewpoints (3D)
 - Improved: 3D illumination
 - Added: Grid labels
 - Fixed: Save / load of complex Objects added from popup menu
 - Fixed: Save / load of duplicated complex Objects
 - Fixed: Printing on A3 printer
 - Fixed: Resizing of circular objects
 - Added: Two more variants of pictures linking an extrenal image,
     but it still works only in 3D
 - Fixed: Window above another window or door in 3D
 - Fixed: Assigning font to new Captions
 - Added: Support for plugins, contact us for details
 - Fixed: Minor bugfixes and improvements

version 3.7 (2004/2/4)
----------------------
 - Improved: Printing faster and in much higher quality
 - Added: Print one project over more pages (in defined scale)
 - Added: Select priter fonts for title and notes
 - Fixed: Page border and number of copies treated correctly
 - Added: Objects can be resized with mouse
 - Added: Objects can be added from menu next to Add object button
 - Improved: Object listing window is floating
 - Added: More functions in object listing popup menu
 - Added: Object listing export options
 - Improved: If you specify image file in Link of Picture object,
     you will see the image in 3D (user-defined pictures)
 - Added: Select font for object captions
 - Added: Z order can be created from objects' z-position
 - Improved: Z-position is shown in short object popup info
 - Improved: Custom colors in Color dialog are saved
 - Added: Select objects with the same color (popup menu)
 - Improved: Removing objects from User library with Delete key
 - Fixed: Objects smaller then 1 cm were not visible in 3D
 - Fixed: Object link is always visible in object properties
 - Fixed: Problems with negative values in preview of Edit Walls

version 3.62 (2003/12/22)
-------------------------
 - Added: Objects can have associated links to webpages or documents
 - Added: Set calibration for 100% zoom (useful in feet-inches system)
 - Added: Set wall length and rotation instead of From-To coordinates
 - Fixed: Preserving room colors after transformations
 - Fixed: Keeping position of the objects snapped to wall
 - Fixed: Loading Complex objects in Objects properties window
 - Added: Print setup is saved in the project
 - Fixed: Minor bugfixes and improvements

version 3.61 (2003/9/2)
-----------------------
 - Improved: Object Listing window
 - Fixed: Object movement after Copy+Paste
 - Fixed: Adding objects to the room with groups
 - Fixed: Decimal wall thickness

version 3.6 (2003/8/20)
-----------------------
 - Added: Creating custom complex objects (Groups)
 - Fixed: Room is now called Project (there can be more rooms in it)
 - Added: Selecting floor and wall colors for each room in the project
 - Added: Statistics for each room (wall perimeter, floor area)
 - Added: New basic object - Measurement Line - your measurements
     will stay in the project, create using M key and left mouse button
 - Improved: Elliptic objects can be rotated freely
 - Added: Print preview
 - Added: Open new program instance from main menu
 - Added: Alignment palette

version 3.5 (2003/7/9)
----------------------
 - Added: Multi-selection
 - Added: New objects in the library
 - Added: Copy selected objects to another room using Clipboard
 - Added: Align objects in the room
 - Added: Lock object - prevents object from moving (context menu)
 - Added: Merge rooms
 - Added: Feet/Inch unit convertor
 - Added: Transformations on the room (shift all, convert units)
 - Added: All numbers can be decimal
 - Improved: z-pos of objects in user library is saved (useful for windows)
 - Added: Object origin is shown in the properies window (red cross)
 - Fixed: Export of large files
 - Fixed: Minor bugfixes and impovements

version 3.26 (2003/4/22)
------------------------
 - Added: Set height for each wall
 - Fixed: Position for objects snapped to wall

version 3.25 (2003/4/14)
------------------------
 - Added: New basic object - Arrow
 - Added: Interactive doors in 3D (hide it unchecking its Fill color)
 - Fixed: Drawing and undo bug-fixes

version 3.2 (2003/3/31)
-----------------------
 - Improved: Faster and safer work with large images. Not using
     so much memory.
 - Improved: Much faster open/save room and 100% working under Win9X
 - Added: Zoom in or out with Ctrl+MouseWheel
 - Improved: Zoom from cursor - the point under the mouse cursor
     doesn't move when zoom in/out
 - Added: Width, Length and Height can be decimal number
     (nevertheless, position must still be whole number)

version 3.1 (2003/3/20)
-----------------------
 - Added: Single object selection, move with arrows, Alt+Enter for
     its properties, Del deletes, Ctrl+L, Ctrl+R for rotating
 - Added: Layers
 - Added: Export as image in PNG format
 - Improved: Help file
 - Added: New basic object - Octagon
 - Improved: Select walls in Room Walls dialog using mouse click
     in the preview window
 - Improved: New objects in the library, improved shapes for 3D view
 - Fixed: Adding and retrieving objects from the User Library
 - Added: Rotate 180 degrees in the object context menu

version 3.0 (2003/2/16)
-----------------------
 - Added: Explore in 3D
 - Added: Print in certain scale (e.g. 1:50)
 - Added: More steps in Undo-Redo History
 - Improved: Edit Walls dialog reminds you of unsaved changes
 - Added: Local coordinates (you define their origin)
 - Added: Holding Shift during Measurement measures line with
     rotation in 45 degrees multiples
 - Added: Rotation helper in Object Properties, holding Shift
     sets rotation in 45 degrees multiples
 - Fixed: Object position during the object duplication
 - Fixed: Printing of large images in grayscale

version 2.20 (2003/1/20)
------------------------
 - Added: Library - dozens of common objects - from plant to Spitfire
 - Added: Catalogue is now called "User library"
 - Added: Text label (as a new object), select its font and more
 - Added: New basic objects - Circle and Hexagon
 - Improved: Drawing of the objects in zooms higher then 100%
 - Added: Options, change default colors for objects
 - Added: Measurement
 - Improved: Adjust the space around the room in detail
 - Added: Line style as an object property
 - Added: Rotate left and/or right in the object context menu
 - Fixed: Doors are not drawn using dashed line style
 - Added: Rename object in User library in context menu
 - Improved: F1 raises context help
 - Improved: Optimized buttons on toolbar
 - Added: Command New will show Room size window automatically
 - Fixed: Export to image file works (bug in 2.10)
 - Improved: Export in any zoom and disable adding the text (in Options)
 - Fixed: minor bugfixes
 - Added: Windows XP support

version 2.10 (2002/11/25)
-------------------------
 - Added: New type of object - Triangle (right-angled)
 - Added: Print support
 - Added: Undo (one step)
 - Added: Quick info about the object under the mouse cursor (tooltips)
 - Improved: Export always in 100% zoom
 - Added: Best fit view (see the entire image in the window)
 - Added: Open files always in best fit view
 - Improved: Smart zoom factors
 - Added: Export object listing to clipboard
 - Fixed: Default catalogue is localized when creating (for new users)

version 2.00 (2002/10/21)
-------------------------
 - Added: Toolbar with XP style buttons
 - Added: Show collisions
 - Added: Duplicate objects in context menu
 - Added: Editing of walls; wall thickness; wall color
 - Added: New type of object - Window (remains in the wall)
 - Added: Doors can be snapped to the wall
 - Added: Export to clipboard
 - Added: Open file dialog starts in the last used folder
 - Added: Double-click on the object brings its properties
 - Improved: Preview windows have gradient-filled background
 - Added: Connected file extension *.mst with Room Arranger. You can
     open the file by double-click in Explorer, etc.
 - Added: Drag&drop files into the application from Explorer, etc.
 - Added: You can change the unit name - one pixel can be one now cm,
     inch, meter, km or anything you want
 - Added: Show/Hide Grid using a toolbar button
 - Added: Show/Hide Captions on all objects
 - Added: Adjust the space around the room
 - Added: Option to automatically change the size of the main window
   when opening a file or zooming
 - Fixed: Parts Listing context menu is localized (missed in 1.11)

version 1.11 (2002/8/29)
------------------------
 - Added: The program completely rewritten into English to support
     multiple languages. Name of the program is now "Room Arranger"
 - Fixed: Adding of a new object in a zoom factor other then 100%
 - Added: Mouse-wheel support

version 1.10 (2002/4/7)
-----------------------
 - Added: New types of objects - Ellipse and Door
 - Improved: Changed Object properties window: added preview, transparent
     lines, object fill and the caption can be hidden as well.
     You can hide the Catalogue part of the window.
 - Improved: New way how to select colors
 - Fixed: Removing the object in the Object Listing will redraw the room
 - Added: Editing object properties in the Object Listing window
 - Added: Whatsnew.txt file :-)

version 1.00 (2002/3/23)
------------------------
 - the first release
